/*
 * Copyright (C) 2005  Sven-Ola Tuecke  <sven-ola@gmx.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
  *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/* March 2005
 *
 * This program calls mtd and reboots when mtd is ready.
 * A busybox shell script is to large to fit on the RAM
 * disk for this on a WAP54G
 *
 */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <signal.h>
       
int main(int argc, char *argv[], char *environment[])
{
	switch (fork()) {
		case -1:
			fprintf(stderr, "Cannot fork, #%d\n", errno);
			return 1;
		break;
		case 0:
			return execvp("mtd", argv);
		break;
		default:
			wait(NULL);
			printf("Killing init...\n");
			kill(1, SIGTERM);
		break;
	} // switch
	return 0;
}
